import React from 'react';
import BasicService, { ServiceProps } from '../Service';
import { IScopedContext } from '../../Scoped';
export declare class ServiceRenderer extends BasicService {
    static propsList: Array<string>;
    static contextType: React.Context<IScopedContext>;
    componentWillMount(): void;
    componentDidMount(): void;
    componentDidUpdate(prevProps: ServiceProps): void;
    componentWillUnmount(): void;
    renderBody(): JSX.Element;
}
